#include <sys/cdefs.h>
#ifndef lint
#if 0
static char sccsid[] = "@(#)getent.c	8.2 (Berkeley) 12/15/93";
#else
__RCSID("$NetBSD: getent.c,v 1.10 2005/02/06 05:53:07 perry Exp $");
#endif
#endif /* not lint */

#include <stdlib.h>

static char *area;

int getent(char *, char *);
char *getstr(char *, char **);

/*ARGSUSED*/
int
getent(cp, name)
char *cp, *name;
{
#ifdef	HAS_CGETENT
	const char *dba[2];

	dba[0] = "/etc/gettytab";
	dba[1] = 0;
	return((cgetent(&area, dba, name) == 0) ? 1 : 0);
#else
	return(0);
#endif
}

#ifndef	SOLARIS
/*ARGSUSED*/
char *
getstr(id, cpp)
char *id, **cpp;
{
# ifdef	HAS_CGETENT
	char *answer;
	return((cgetstr(area, id, &answer) > 0) ? answer : 0);
# else
	return(0);
# endif
}
#endif
